Delete manual coupons
curl --request DELETE \
--url https://api.extole.io/v2/reward-suppliers/manual-coupons/{reward_supplier_id}/coupons \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v2/reward-suppliers/manual-coupons/{reward_supplier_id}/coupons"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v2/reward-suppliers/manual-coupons/{reward_supplier_id}/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"coupons": [
"<string>"
],
"created_at": "2025-10-24T02:00:00-07:00",
"filename": "<string>",
"id": "<string>",
"number_of_coupons_to_upload": 123,
"operation_type": "COUPON_DELETE",
"request_message": "<string>",
"result_message": "<string>",
"reward_supplier_id": "<string>",
"status": "FAILED",
"uploaded_coupons": [
{
"coupon_code": "<string>",
"expires_at": "2025-10-24T02:00:00-07:00"
}
]
}Reward Suppliers
Delete manual coupons
Removes coupons from the manual coupon supplier’s pool.
DELETE
https://api.extole.io
/
v2
/
reward-suppliers
/
manual-coupons
/
{reward_supplier_id}
/
coupons
Delete manual coupons
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Query Parameters
Response
Successful response
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
Pattern:
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$Example:
"2025-10-24T02:00:00-07:00"
Available options:
COUPON_DELETE, COUPON_UPLOAD Available options:
FAILED, SUCCESS Show child attributes
Show child attributes
